##
##  p0f.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2016 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         p0f
Summary:      Passive OS Fingerprinting Tool
URL:          http://lcamtuf.coredump.cx/p0f.shtml
Vendor:       Michal Zalewski
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        PLUS
Group:        Mapping
License:      LGPL
Version:      3.09b
Release:      20160419

#   list of sources
Source0:      http://lcamtuf.coredump.cx/p0f3/releases/p0f-%{version}.tgz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, libpcap, gcc, make
PreReq:       OpenPKG, openpkg >= 20100101, libpcap

%description
    P0f is a versatile passive OS fingerprinting tool. P0f can identify
    the system on machines that connect to your box, machines you
    connect to, and even machines that merely go through or near your
    box. P0f will also detect what the remote system is hooked up to (be
    it Ethernet, DSL, OC3, or avian carriers), how far it is located,
    what's its uptime, etc.

%track
    prog p0f = {
        version   = %{version}
        url       = http://lcamtuf.coredump.cx/p0f/
        regex     = p0f-(__VER__)\.tgz
    }

%prep
    %setup -q

%build
    %{l_shtool} subst \
        -e 's;"p0f.fp";"%{l_prefix}/share/p0f/p0f.fp";g' \
        config.h
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O} %{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    %{l_bash} build.sh all

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/sbin \
        $RPM_BUILD_ROOT%{l_prefix}/share/p0f \
        $RPM_BUILD_ROOT%{l_prefix}/man/cat8
    %{l_shtool} install -c -s -m 755 \
        p0f $RPM_BUILD_ROOT%{l_prefix}/sbin/
    %{l_shtool} install -c -m 644 \
        p0f.fp $RPM_BUILD_ROOT%{l_prefix}/share/p0f/
    %{l_shtool} install -c -m 644 \
        docs/README $RPM_BUILD_ROOT%{l_prefix}/man/cat8/p0f.8
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

